Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040916
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2019-05-07 13:462019-05-24 10:37
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2.1
StatusclosedFix in branchFixed in SCM revision795b89cd1624
ProjectionnoneETAnoneTarget Version3.0PR19Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040916: Use as filter option is not working properly with date columns

DescriptionUse as filter option is not working properly with date columns
Steps To Reproduce1) Go to the [Process Monitor] window
2) Select any record
3) Move the cursor to the "Start Time" column, right click and select "Set As Filter" option
4) Note that the text in the filter field is correctly updated but the result of the filtering is not correct
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040802 closedcaristu Use as filter option is not working properly with date columns 

-  Notes
(0112077)
hgbot (developer)
2019-05-23 08:31

Repository: erp/backports/3.0PR19Q2.1
Changeset: 795b89cd16241970ef3b00d9e97cf9ced677e3aa
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 20 16:11:56 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/795b89cd16241970ef3b00d9e97cf9ced677e3aa [^]

fixes bug 40916: "Use as filter" is not working properly with DateTime columns

  After this changeset[1] it was fixed the ability to filter properly by a range of DateTime values. However, this change broke the correct filtering by a single DateTime value in this type of columns.

  But when filtering a DateTime column with a single DateTime value (when not filtering by a range of dates), in general, the idea is to use the plain date value and build the criteria properly in the backend(See[2]).

  Therefore now we are adapting the way that the criteria is build using the "Use as Filter" menu option to generate the criteria in the same way as when the filter is entered manually in a DateTime column. And this is done by building the criteria to filter the DateTime column using a plain date.


[1] https://code.openbravo.com/erp/devel/pi/rev/90ee5c965823996a7b4c0ae17d3a3ca71e3fc703 [^]
[2] https://issues.openbravo.com/view.php?id=23203 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0112115)
alostale (developer)
2019-05-24 10:37

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-05-20 13:04 caristu Type defect => backport
2019-05-20 13:04 caristu Target Version => 3.0PR19Q2
2019-05-21 08:37 caristu Target Version 3.0PR19Q2 => 3.0PR19Q2.1
2019-05-23 08:31 hgbot Checkin
2019-05-23 08:31 hgbot Note Added: 0112077
2019-05-23 08:31 hgbot Status scheduled => resolved
2019-05-23 08:31 hgbot Resolution open => fixed
2019-05-23 08:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q2.1/rev/795b89cd16241970ef3b00d9e97cf9ced677e3aa [^]
2019-05-23 08:32 caristu Review Assigned To => alostale
2019-05-24 10:37 alostale Note Added: 0112115
2019-05-24 10:37 alostale Status resolved => closed
2019-05-24 10:37 alostale Fixed in Version => 3.0PR19Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker